//############################ AJAX CLI RESPONSAVEL #####################################################

$(document).on('click', '#btn_responsavel', function () {


    let nome_cli = $('#nome_cliente_responsavel').val();

    let cpf_cli = "";

    let cpf = $("#masked-input-cpf-responsavel").val();

    let cnpj = $("#masked-input-cnpj").val();


    if (cpf != "") {

        cpf_cli = $("#masked-input-cpf-responsavel").val();

    } else if (cnpj != "") {

        cpf_cli = $("#masked-input-cnpj").val();
    }


    let rg_cli = $('#rg_cliente_responsavel').val();

    let estadocivil_cli = $('#estadocivil_cli_responsavel').val();

    let nacionalidade_cli = $('#nacionalidade_cli_responsavel').val();

    let profissao_cli = $('#profissao_cli_responsavel').val();

    let nascimento_cli = $('#nascimento_cli_responsavel').val();

    let email_cli = $('#email_cli_responsavel').val();

    let cidade_cli = $('#cidade_cli').val();

    let endereco_cli = $('#rua').val();

    let numero_cli = $('#numero_cli').val();

    let bairro_cli = $('#bairro_cli').val();

    let cep_cli = $('#cep_cli').val();

    let telefone1_cli = $('#masked-input-phone').val();

    let telefone2_cli = $('#masked-input-phone2').val();

    let telefone3_cli = $('#masked-input-phone3').val();

    let estado_cli = $('#estado').val();

    let senha = $('#senha_responsavel').val();

    let idgrupo = $('#idgrupo_responsavel').val();

    let grupo_cliente = $('#grupo_cliente_responsavel').val();

    let imob_id = $('#imobiliaria').val();

    let creci = $('#creci').val();

    let insc_municipal = $('#insc_municipal').val();

    let cadastrado_por = $('#cadastrado_por').val();

    let complemento_cli = $('#complemento_cli').val();


    function getRadioValor(name) {
        var rads = document.getElementsByName(name);

        for (var i = 0; i < rads.length; i++) {
            if (rads[i].checked) {
                return rads[i].value;
            }

        }

        return null;
    }

    let pessoa = getRadioValor('pessoa');

    let obs_cli = $('#obs_cli_responsavel').val();

    let cargo = $('#cargo_cli').val();

    let salario_base = $('#salario_base_cli').val();


    let data_contratacao = $('#data_contratacao_cli').val();

    let cpf_rfb = $('#cpf_rfb_cli').val();

    let renda_total = $('#renda_total_responsavel').val();

    let orgao_expedidor = $('#orgao_expedidor_responsavel').val();

    let empreendimento_id = $('#empreendimento').val();

    let corretor_id = $('#corretor_id').val();

    let grupo_acesso_logado = $('#grupo_acesso_responsavel').val();


    let array_tipo_cliente = [];

    $("input[name='tipo_cliente[]']:checked").each(function () {

        array_tipo_cliente.push($(this).val());


    });


    var celulares = [];

    var celulares_array = document.getElementsByClassName(".m_celular1");

    for (var i = 0; i < celulares_array.length; i++) {
        celulares.push(celulares_array[i].value);
    }


    var telefonesFixo = [];

    var telefonesFixo_array = document.getElementsByClassName('.m_telfixo1');

    for (var i = 0; i < telefonesFixo_array.length; i++) {
        telefonesFixo.push(telefonesFixo_array[i].value);
    }


    var telefonesComercial = [];

    var telefonesComercial_array = document.getElementsByClassName('.m_telcomercial1');

    for (var i = 0; i < telefonesComercial_array.length; i++) {
        telefonesComercial.push(telefonesComercial_array[i].value);
    }


    var rua = [];

    var rua_array = document.getElementsByClassName('.m_endereco1');

    for (var i = 0; i < rua_array.length; i++) {
        rua.push(rua_array[i].value);
    }


    var cep = [];

    var cep_array = document.getElementsByClassName('.m_cep1');


    for (var i = 0; i < cep_array.length; i++) {
        cep.push(cep_array[i].value);
    }


    var numero = [];

    var numero_array = document.getElementsByClassName('.m_numero1');

    for (var i = 0; i < numero_array.length; i++) {
        numero.push(numero_array[i].value);
    }


    var complemento = [];

    var complemento_array = document.getElementsByClassName('.m_complemento1');

    for (var i = 0; i < complemento_array.length; i++) {
        complemento.push(complemento_array[i].value);
    }


    var bairro = [];

    var bairro_array = document.getElementsByClassName('.m_bairro1');

    for (var i = 0; i < bairro_array.length; i++) {
        bairro.push(bairro_array[i].value);
    }


    var cidade = [];

    var cidade_array = document.getElementsByClassName('.m_cidade1');

    for (var i = 0; i < cidade_array.length; i++) {
        cidade.push(cidade_array[i].value);
    }


    var estado = [];

    var estado_array = document.getElementsByClassName('.m_estado1');

    for (var i = 0; i < estado_array.length; i++) {
        estado.push(estado_array[i].value);
    }


    let tipo_cliente = array_tipo_cliente.toString();


    let conjuge_idconjuge = $('#idconjuge').val();


    console.log("id capturado do conjuge .: " + conjuge_idconjuge);


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_cliente_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'nome_cli=' + nome_cli + '&cpf_cli=' + cpf_cli + '&rg_cli=' + rg_cli + '&estadocivil_cli=' + estadocivil_cli + '&nacionalidade_cli=' + nacionalidade_cli + '&profissao_cli=' + profissao_cli + '&nascimento_cli=' + nascimento_cli + '&email_cli=' + email_cli + '&cidade_cli=' + cidade_cli + '&endereco_cli=' + endereco_cli + '&numero_cli=' + numero_cli + '&bairro_cli=' + bairro_cli + '&cep_cli=' + cep_cli + '&telefone1_cli=' + telefone1_cli + '&telefone2_cli=' + telefone2_cli + '&telefone3_cli=' + telefone3_cli + '&estado_cli=' + estado_cli + '&senha=' + senha + '&idgrupo=' + idgrupo + '&grupo_cliente=' + grupo_cliente + '&imob_id=' + imob_id + '&creci=' + creci + '&insc_municipal=' + insc_municipal + '&cadastrado_por=' + cadastrado_por + '&complemento_cli=' + complemento_cli + '&pessoa=' + 1 + '&obs_cli=' + obs_cli + '&cargo=' + cargo + '&salario_base=' + salario_base + '&data_contratacao=' + data_contratacao + '&cpf_rfb=' + cpf_rfb + '&renda_total=' + renda_total + '&orgao_expedidor=' + orgao_expedidor + '&empreendimento_id=' + empreendimento_id + '&corretor_id=' + corretor_id + '&grupo_acesso_logado=' + grupo_acesso_logado + '&tipo_cliente=' + tipo_cliente + '&conjuge_idconjuge=' + conjuge_idconjuge + '&celulares=' + celulares + '&telefonesFixo=' + telefonesFixo + '&telefonesComercial=' + telefonesComercial + '&rua=' + rua + '&cep=' + cep + '&numero=' + numero + '&complemento=' + complemento + '&bairro=' + bairro + '&cidade=' + cidade + '&estado=' + estado,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func


            $('#add_data_Modal_responsavel').modal('hide'); //fechando a modal


            $("#cpf_rfb_cli").append('<option selected value="' + data.id + '">' + data.cpf_cli + "/" + data.nome + '</option>');


            $("#cpf_rfb_cli").val(data.id).change();


            $("#M_responsavel").append('<input type="hidden" method="POST" name="idcliente_resp" class ="m_responsavel" value="' + data.id + '" >')


            console.log("Data id: " + data.id);

            console.log("Nome: " + nome);


        }

    });
    return false;
});


$(document).on('click', '#btn_nome', function () {


    let nome_cli = $('#nome_cliente').val();

    let cpf_cli = "";

    let cpf = $("#masked-input-cpf").val();

    let cnpj = $("#masked-input-cnpj").val();


    if (cpf != "") {

        cpf_cli = $("#masked-input-cpf").val();

    } else if (cnpj != "") {

        cpf_cli = $("#masked-input-cnpj").val();
    }


    // alert(cpf_cli);


    let rg_cli = $('#rg_cliente').val();

    let estadocivil_cli = $('#estadocivil_cli').val();

    let nacionalidade_cli = $('#nacionalidade_cli').val();

    let profissao_cli = $('#profissao_cli').val();

    let nascimento_cli = $('#nascimento_cli').val();

    let email_cli = $('#email_cli').val();

    let cidade_cli = $('#cidade_cli').val();

    let endereco_cli = $('#rua').val();

    let numero_cli = $('#numero_cli').val();

    let bairro_cli = $('#bairro_cli').val();

    let cep_cli = $('#cep_cli').val();

    let telefone1_cli = $('#masked-input-phone').val();

    let telefone2_cli = $('#masked-input-phone2').val();

    let telefone3_cli = $('#masked-input-phone3').val();

    let estado_cli = $('#estado').val();

    let senha = $('#senha').val();

    let idgrupo = $('#idgrupo').val();

    let grupo_cliente = $('#grupo_cliente').val();

    let imob_id = $('#imobiliaria').val();

    let creci = $('#creci').val();

    let insc_municipal = $('#insc_municipal').val();

    let cadastrado_por = $('#cadastrado_por').val();

    let complemento_cli = $('#complemento_cli').val();


    function getRadioValor(name) {
        var rads = document.getElementsByName(name);

        for (var i = 0; i < rads.length; i++) {
            if (rads[i].checked) {
                return rads[i].value;
            }

        }

        return null;
    }

    let pessoa = getRadioValor('pessoa');

    let obs_cli = $('#obs_cli').val();

    let cargo = $('#cargo_cli').val();

    let salario_base = $('#salario_base_cli').val();


    let data_contratacao = $('#data_contratacao_cli').val();

    let cpf_rfb = $('#cpf_rfb_cli').val();

    let renda_total = $('#renda_total').val();

    let orgao_expedidor = $('#orgao_expedidor').val();

    let empreendimento_id = $('#empreendimento').val();

    let corretor_id = $('#corretor_id').val();

    let grupo_acesso_logado = $('#grupo_acesso').val();


    let array_tipo_cliente = [];

    $("input[name='tipo_cliente[]']:checked").each(function () {

        array_tipo_cliente.push($(this).val());


    });


    var celulares = [];

    var celulares_array = document.getElementsByClassName(".m_celular2");

    for (var i = 0; i < celulares_array.length; i++) {
        celulares.push(celulares_array[i].value);
    }


    var telefonesFixo = [];

    var telefonesFixo_array = document.getElementsByClassName('.m_telfixo2');

    for (var i = 0; i < telefonesFixo_array.length; i++) {
        telefonesFixo.push(telefonesFixo_array[i].value);
    }


    var telefonesComercial = [];

    var telefonesComercial_array = document.getElementsByClassName('.m_telcomercial2');

    for (var i = 0; i < telefonesComercial_array.length; i++) {
        telefonesComercial.push(telefonesComercial_array[i].value);
    }


    var rua = [];

    var rua_array = document.getElementsByClassName('.m_endereco2');

    for (var i = 0; i < rua_array.length; i++) {
        rua.push(rua_array[i].value);
    }


    var cep = [];

    var cep_array = document.getElementsByClassName('.m_cep2');


    for (var i = 0; i < cep_array.length; i++) {
        cep.push(cep_array[i].value);
    }


    var numero = [];

    var numero_array = document.getElementsByClassName('.m_numero2');

    for (var i = 0; i < numero_array.length; i++) {
        numero.push(numero_array[i].value);
    }


    var complemento = [];

    var complemento_array = document.getElementsByClassName('.m_complemento2');

    for (var i = 0; i < complemento_array.length; i++) {
        complemento.push(complemento_array[i].value);
    }


    var bairro = [];

    var bairro_array = document.getElementsByClassName('.m_bairro2');

    for (var i = 0; i < bairro_array.length; i++) {
        bairro.push(bairro_array[i].value);
    }


    var cidade = [];

    var cidade_array = document.getElementsByClassName('.m_cidade2');

    for (var i = 0; i < cidade_array.length; i++) {
        cidade.push(cidade_array[i].value);
    }


    var estado = [];

    var estado_array = document.getElementsByClassName('.m_estado2');

    for (var i = 0; i < estado_array.length; i++) {
        estado.push(estado_array[i].value);
    }


    var cliente_resp = "";

    $('.m_responsavel').each(function (index, element) {

        if (cliente_resp == "") {
            cliente_resp = element.value;
        } else {
            cliente_resp = cliente_resp + "," + element.value;

        }

    })


    let tipo_cliente = array_tipo_cliente.toString();


    let conjuge_idconjuge = $('#idconjuge').val();


    console.log("id capturado do conjuge .: " + conjuge_idconjuge);


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_cliente_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'nome_cli=' + nome_cli + '&cpf_cli=' + cpf_cli + '&rg_cli=' + rg_cli + '&estadocivil_cli=' + estadocivil_cli + '&nacionalidade_cli=' + nacionalidade_cli + '&profissao_cli=' + profissao_cli + '&nascimento_cli=' + nascimento_cli + '&email_cli=' + email_cli + '&cidade_cli=' + cidade_cli + '&endereco_cli=' + endereco_cli + '&numero_cli=' + numero_cli + '&bairro_cli=' + bairro_cli + '&cep_cli=' + cep_cli + '&telefone1_cli=' + telefone1_cli + '&telefone2_cli=' + telefone2_cli + '&telefone3_cli=' + telefone3_cli + '&estado_cli=' + estado_cli + '&senha=' + senha + '&idgrupo=' + idgrupo + '&grupo_cliente=' + grupo_cliente + '&imob_id=' + imob_id + '&creci=' + creci + '&insc_municipal=' + insc_municipal + '&cadastrado_por=' + cadastrado_por + '&complemento_cli=' + complemento_cli + '&pessoa=' + pessoa + '&obs_cli=' + obs_cli + '&cargo=' + cargo + '&salario_base=' + salario_base + '&data_contratacao=' + data_contratacao + '&cpf_rfb=' + cpf_rfb + '&renda_total=' + renda_total + '&orgao_expedidor=' + orgao_expedidor + '&empreendimento_id=' + empreendimento_id + '&corretor_id=' + corretor_id + '&grupo_acesso_logado=' + grupo_acesso_logado + '&tipo_cliente=' + tipo_cliente + '&conjuge_idconjuge=' + conjuge_idconjuge + '&celulares=' + celulares + '&telefonesFixo=' + telefonesFixo + '&telefonesComercial=' + telefonesComercial + '&rua=' + rua + '&cep=' + cep + '&numero=' + numero + '&complemento=' + complemento + '&bairro=' + bairro + '&cidade=' + cidade + '&estado=' + estado + '&cliente_resp=' + cliente_resp,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func


            $('#add_data_Modal').modal('hide'); //fechando a modal


            $("#nomecliente").append('<option selected value="' + data.id + '">' + data.nome + "/" + data.cpf_cli + '</option>');

            $("#nomecliente").val(data.id).change();


            console.log("Data id: " + data.id);

            console.log("Nome: " + nome);


        }

    });
    return false;
});


$(document).on('click', '#btn_cadastro_pf', function () {


    let nome_cli = $('#nome_cliente').val();

    let cpf_cli = "";

    let cpf = $("#masked-input-cpf").val();

    let cnpj = $("#masked-input-cnpj").val();


    if (cpf != "") {

        cpf_cli = $("#masked-input-cpf").val();

    } else if (cnpj != "") {

        cpf_cli = $("#masked-input-cnpj").val();
    }


    // alert(cpf_cli);


    let rg_cli = $('#rg_cliente').val();

    let estadocivil_cli = $('#estadocivil_cli').val();

    let nacionalidade_cli = $('#nacionalidade_cli').val();

    let profissao_cli = $('#profissao_cli').val();

    let nascimento_cli = $('#nascimento_cli').val();

    let email_cli = $('#email_cli').val();

    let cidade_cli = $('#cidade_cli').val();

    let endereco_cli = $('#rua').val();

    let numero_cli = $('#numero_cli').val();

    let bairro_cli = $('#bairro_cli').val();

    let cep_cli = $('#cep_cli').val();

    let telefone1_cli = $('#masked-input-phone').val();

    let telefone2_cli = $('#masked-input-phone2').val();

    let telefone3_cli = $('#masked-input-phone3').val();

    let estado_cli = $('#estado').val();

    let senha = $('#senha').val();

    let idgrupo = $('#idgrupo').val();

    let grupo_cliente = $('#grupo_cliente').val();

    let imob_id = $('#imobiliaria').val();

    let creci = $('#creci').val();

    let insc_municipal = $('#insc_municipal').val();

    let cadastrado_por = $('#cadastrado_por').val();

    let complemento_cli = $('#complemento_cli').val();


    function getRadioValor(name) {
        var rads = document.getElementsByName(name);

        for (var i = 0; i < rads.length; i++) {
            if (rads[i].checked) {
                return rads[i].value;
            }

        }

        return null;
    }

    let pessoa = getRadioValor('pessoa');

    let obs_cli = $('#obs_cli').val();

    let cargo = $('#cargo_cli').val();

    let salario_base = $('#salario_base_cli').val();


    let data_contratacao = $('#data_contratacao_cli').val();

    let cpf_rfb = $('#cpf_rfb_cli').val();

    let renda_total = $('#renda_total').val();

    let orgao_expedidor = $('#orgao_expedidor').val();

    let empreendimento_id = $('#empreendimento').val();

    let corretor_id = $('#corretor_id').val();

    let grupo_acesso_logado = $('#grupo_acesso').val();


    let array_tipo_cliente = [];

    $("input[name='tipo_cliente[]']:checked").each(function () {

        array_tipo_cliente.push($(this).val());


    });


    var celulares = [];

    var celulares_array = document.getElementsByClassName(".m_celular");

    for (var i = 0; i < celulares_array.length; i++) {
        celulares.push(celulares_array[i].value);
    }


    var telefonesFixo = [];

    var telefonesFixo_array = document.getElementsByClassName('.m_telfixo');

    for (var i = 0; i < telefonesFixo_array.length; i++) {
        telefonesFixo.push(telefonesFixo_array[i].value);
    }


    var telefonesComercial = [];

    var telefonesComercial_array = document.getElementsByClassName('.m_telcomercial');

    for (var i = 0; i < telefonesComercial_array.length; i++) {
        telefonesComercial.push(telefonesComercial_array[i].value);
    }


    var rua = [];

    var rua_array = document.getElementsByClassName('.m_endereco');

    for (var i = 0; i < rua_array.length; i++) {
        rua.push(rua_array[i].value);
    }


    var cep = [];

    var cep_array = document.getElementsByClassName('.m_cep');


    for (var i = 0; i < cep_array.length; i++) {
        cep.push(cep_array[i].value);
    }


    var numero = [];

    var numero_array = document.getElementsByClassName('.m_numero');

    for (var i = 0; i < numero_array.length; i++) {
        numero.push(numero_array[i].value);
    }


    var complemento = [];

    var complemento_array = document.getElementsByClassName('.m_complemento');

    for (var i = 0; i < complemento_array.length; i++) {
        complemento.push(complemento_array[i].value);
    }


    var bairro = [];

    var bairro_array = document.getElementsByClassName('.m_bairro');

    for (var i = 0; i < bairro_array.length; i++) {
        bairro.push(bairro_array[i].value);
    }


    var cidade = [];

    var cidade_array = document.getElementsByClassName('.m_cidade');

    for (var i = 0; i < cidade_array.length; i++) {
        cidade.push(cidade_array[i].value);
    }


    var estado = [];

    var estado_array = document.getElementsByClassName('.m_estado');

    for (var i = 0; i < estado_array.length; i++) {
        estado.push(estado_array[i].value);
    }


    var cliente_resp = "";

    $('.m_responsavel').each(function (index, element) {

        if (cliente_resp == "") {
            cliente_resp = element.value;
        } else {
            cliente_resp = cliente_resp + "," + element.value;

        }

    })


    let tipo_cliente = array_tipo_cliente.toString();


    let conjuge_idconjuge = $('#idconjuge').val();


    console.log("id capturado do conjuge .: " + conjuge_idconjuge);


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_cliente_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'nome_cli=' + nome_cli + '&cpf_cli=' + cpf_cli + '&rg_cli=' + rg_cli + '&estadocivil_cli=' + estadocivil_cli + '&nacionalidade_cli=' + nacionalidade_cli + '&profissao_cli=' + profissao_cli + '&nascimento_cli=' + nascimento_cli + '&email_cli=' + email_cli + '&cidade_cli=' + cidade_cli + '&endereco_cli=' + endereco_cli + '&numero_cli=' + numero_cli + '&bairro_cli=' + bairro_cli + '&cep_cli=' + cep_cli + '&telefone1_cli=' + telefone1_cli + '&telefone2_cli=' + telefone2_cli + '&telefone3_cli=' + telefone3_cli + '&estado_cli=' + estado_cli + '&senha=' + senha + '&idgrupo=' + idgrupo + '&grupo_cliente=' + grupo_cliente + '&imob_id=' + imob_id + '&creci=' + creci + '&insc_municipal=' + insc_municipal + '&cadastrado_por=' + cadastrado_por + '&complemento_cli=' + complemento_cli + '&pessoa=' + 1 + '&obs_cli=' + obs_cli + '&cargo=' + cargo + '&salario_base=' + salario_base + '&data_contratacao=' + data_contratacao + '&cpf_rfb=' + cpf_rfb + '&renda_total=' + renda_total + '&orgao_expedidor=' + orgao_expedidor + '&empreendimento_id=' + empreendimento_id + '&corretor_id=' + corretor_id + '&grupo_acesso_logado=' + grupo_acesso_logado + '&tipo_cliente=' + tipo_cliente + '&conjuge_idconjuge=' + conjuge_idconjuge + '&celulares=' + celulares + '&telefonesFixo=' + telefonesFixo + '&telefonesComercial=' + telefonesComercial + '&rua=' + rua + '&cep=' + cep + '&numero=' + numero + '&complemento=' + complemento + '&bairro=' + bairro + '&cidade=' + cidade + '&estado=' + estado + '&cliente_resp=' + cliente_resp,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func


            $('#add_data_Modal').modal('hide'); //fechando a modal


            $("#nomecliente").append('<option selected value="' + data.id + '">' + data.nome + "/" + data.cpf_cli + '</option>');

            $("#nomecliente").val(data.id).change();


            console.log("Data id: " + data.id);

            console.log("Nome: " + nome);


        }

    });
    return false;
});


$(document).on('click', '#btn_conjuge', function () {

    let nome_conj = $('#nome_conjuge').val();

    let cpf_conj = $('#masked-input-cpf_conjuge').val();

    let rg_conj = $('#rg_conj').val();

    let nascimento_conj = $('#nascimento_conj').val();

    let nacionalidade_conj = $('#nacionalidade_conj').val();

    let profissao_conj = $('#profissao_conj').val();

    let cadastrado_por = $('#cadastrado_por').val();

    let telefone1 = $('#masked-input-phone-conjuge').val();

    let telefone2 = $('#masked-input-phone2-conjuge').val();

    let telefone3 = $('#masked-input-phone3-conjuge').val();


    let email = $('#email_conj').val();

    let orgao_con_expedidor = $('#orgao_con_expedidor').val();


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_conjuge_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'nome_conj=' + nome_conj + '&cpf_conj=' + cpf_conj + '&rg_conj=' + rg_conj + '&nascimento_conj=' + nascimento_conj + '&nacionalidade_conj=' + nacionalidade_conj + '&profissao_conj=' + profissao_conj + '&cadastrado_por=' + cadastrado_por + '&telefone1_conj=' + telefone1 + '&telefone2_conj=' + telefone2 + '&telefone3_conj=' + telefone3 + '&email_conj=' + email + '&orgao_con_expedidor=' + orgao_con_expedidor,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func


            $('#add_data_Modal_conjuge').modal('hide'); //fechando a modal


            $('#nome_conj').val(data.nome_conj);


            $('#idconjuge').val(data.id_conj);


        }

    });
    return false;
});


var pessoa = 1;


var classeBot = document.getElementsByClassName("btn btn-primary botaoCadastrarFisicaJuridica");


classeBot[0].setAttribute("id", "btn_cadastro_pf");


$(document).on("change", ".pessoa", function () {


    // alert("classe botao entrou no change: "+ classeBot[0].id);


    if (this.value == 1) {


        classeBot[0].setAttribute("id", "btn_cadastro_pf");


    } else if (this.value == 2) {


        classeBot[0].setAttribute("id", "btn_nome");

    }


    // alert("depois da mudanca: "+ classeBot[0].id);
})


var classebotaoTel = document.getElementsByClassName("cad_tel_pf_pj");

classebotaoTel[0].setAttribute("id", "insertModalTelefone_pf");


$(document).on("change", ".pessoa", function () {


    // alert("classe botao entrou no change: "+ classeBot[0].id);


    if (this.value == 1) {


        classebotaoTel[0].setAttribute("id", "insertModalTelefone_pf");


    } else if (this.value == 2) {


        classebotaoTel[0].setAttribute("id", "insertModalTelefone");

    }


    // alert("depois da mudanca: "+ classeBot[0].id);
})


var classeBotaoTel_Pf_Pj = document.getElementsByClassName("telefoneFisicaJuridica");


classeBotaoTel_Pf_Pj[0].setAttribute("data-target", "#add_data_Modal_telefone_pf");


$(document).on("change", ".pessoa", function () {


    if (this.value == 1) {


        classeBotaoTel_Pf_Pj[0].setAttribute("data-target", "#add_data_Modal_telefone_pf");


    } else if (this.value == 2) {


        classeBotaoTel_Pf_Pj[0].setAttribute("data-target", "#add_data_Modal_telefone");

    }
})


$(document).on("change", ".pessoa", function () {

    pessoa = this.value;

    // alert(pessoa);
})


$(document).on("click", ".pjEndereco", function () {
    pessoa = 2;

    // alert(pessoa);
})


$(document).on("click", ".primeiraModal", function () {

    // alert(pessoa);
})


$(document).on("click", ".fecharModalResponsavel", function () {
    var pessoa = 2;

    // alert(pessoa);
})


$(document).on("click", "#btn_responsavel", function () {
    var pessoa = 2;

    // alert(pessoa);
})


var responsavel = "";

$(document).on("click", ".telefoneResp", function () {

    pessoa = 1;

    responsavel = "resp";

    // alert("botao telefone responsavel: "+pessoa);

    // alert(responsavel);
})


$(document).on("click", ".telefoneJuridica", function () {

    pessoa = 2;

    // alert(pessoa);

    responsavel = "";
});


// $(document).on("click", ".telefoneFisica", function(){
// alert(pessoa);


// })


// $(document).on("click", ".enderecoPf", function(){
// alert(pessoa);
// })


$(document).on("click", ".abrirCadastroResponsavel", function () {

    pessoa = 1;

    // alert(pessoa);
})


$(document).on("click", ".fecharModalResponsavel", function () {

    pessoa = 2;

    // alert(pessoa);
})


$(document).on('click', '#insertModalTelefone', function () {


    // alert("valor da pessoa: "+pessoa);


    let celular = $('#celular').val();

    let telFixo = $('#telefoneFixo').val();

    let telComercial = $('#telefoneComercial').val();


    $.ajax({


        url: 'recebe_telefone_modal.php',

        type: 'POST',

        data: 'celular=' + celular + '&telfixo=' + telFixo + '&telcomercial=' + telComercial,

        dataType: 'json',

        success: function (data) {

            swal("Telefone cadastrado com sucesso!", "Continue cadastrando ou clique em Fechar", "success");

            $('#celular').val(" ");
            $('#telefoneFixo').val(" ");
            $('#telefoneComercial').val(" ");


            //#############################   CELULAR  ######################################
            var x = 1;


            var classe_celular = '.m_celular' + pessoa;


            // alert(classe_celular);

            var idDiv_celular = "#M_celular";


            if (responsavel == "resp") {
                idDiv_celular = "#M_celular_resp";
            }


            if (document.querySelectorAll(classe_celular).length >= 1) {

                x = document.querySelectorAll(classe_celular).length + 1;

                var nome = 'modal_celular' + x;

                console.log("id da teste modal: " + nome);

                console.log("pessoa: " + pessoa);


                $(idDiv_celular).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_celular + "' value='" + data.celular + "' >");

            } else {

                var nome = 'modal_celular' + x;


                $(idDiv_celular).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_celular + "'  value='" + data.celular + "' >");
            }


            //#############################   TEL FIXO  ######################################
            var y = 1;


            var classe_telFixo = '.m_telfixo' + pessoa;


            var idDiv_telFixo = "#M_telFixo";


            if (responsavel == "resp") {
                idDiv_telFixo = "#M_telFixo_resp";
            }


            if (document.querySelectorAll(classe_telFixo).length >= 1) {

                y = document.querySelectorAll(classe_telFixo).length + 1;

                var nome = 'modal_telfixo' + y;

                console.log("id da teste modal: " + nome);


                $(idDiv_telFixo).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telFixo + "' value='" + data.telfixo + "' >");

            } else {

                var nome = 'modal_telfixo' + y;


                $(idDiv_telFixo).append("<input type='hidden' id='" + nome + "' name='" + nome + "'  class='" + classe_telFixo + "' value='" + data.telfixo + "' >");
            }

            //#############################   TEL COMERCIAL  ######################################
            var z = 1;


            var classe_telComercial = '.m_telcomercial' + pessoa;


            var idDiv_telComercial = "#M_telComercial";


            if (responsavel == "resp") {
                idDiv_telComercial = "#M_telComercial_resp";
            }


            if (document.querySelectorAll(classe_telComercial).length >= 1) {

                z = document.querySelectorAll(classe_telComercial).length + 1;

                var nome = 'modal_telcomercial' + z;

                console.log("id da teste modal: " + nome);


                $(idDiv_telComercial).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telComercial + "' value='" + data.telcomercial + "' >");

            } else {

                var nome = 'modal_telcomercial' + z;


                $(idDiv_telComercial).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telComercial + "' value='" + data.telcomercial + "' >");
            }

            //##################################################################################

        }

    });


    return false;

});


$(document).on('click', '#insertModalTelefone_pf', function () {


    // alert("valor da pessoa: "+pessoa);


    let celular = $('#celular_pf').val();

    let telFixo = $('#telefoneFixo_pf').val();

    let telComercial = $('#telefoneComercial_pf').val();


    $.ajax({


        url: 'recebe_telefone_modal.php',

        type: 'POST',

        data: 'celular=' + celular + '&telfixo=' + telFixo + '&telcomercial=' + telComercial,

        dataType: 'json',

        success: function (data) {

            swal("Telefone cadastrado com sucesso!", "Continue cadastrando ou clique em Fechar", "success");

            $('#celular_pf').val(" ");
            $('#telefoneFixo_pf').val(" ");
            $('#telefoneComercial_pf').val(" ");


            //#############################   CELULAR  ######################################
            var x = 1;


            var classe_celular = '.m_celular';


            var idDiv_celular = "#M_celular_pf";


            if (document.querySelectorAll(classe_celular).length >= 1) {

                x = document.querySelectorAll(classe_celular).length + 1;

                var nome = 'modal_celular' + x;

                console.log("id da teste modal: " + nome);

                console.log("pessoa: " + pessoa);


                $(idDiv_celular).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_celular + "' value='" + data.celular + "' >");

            } else {

                var nome = 'modal_celular' + x;


                $(idDiv_celular).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_celular + "'  value='" + data.celular + "' >");
            }


            //#############################   TEL FIXO  ######################################
            var y = 1;


            var classe_telFixo = '.m_telfixo';


            var idDiv_telFixo = "#M_telFixo_pf";


            if (document.querySelectorAll(classe_telFixo).length >= 1) {

                y = document.querySelectorAll(classe_telFixo).length + 1;

                var nome = 'modal_telfixo' + y;

                console.log("id da teste modal: " + nome);


                $(idDiv_telFixo).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telFixo + "' value='" + data.telfixo + "' >");

            } else {

                var nome = 'modal_telfixo' + y;


                $(idDiv_telFixo).append("<input type='hidden' id='" + nome + "' name='" + nome + "'  class='" + classe_telFixo + "' value='" + data.telfixo + "' >");
            }

            //#############################   TEL COMERCIAL  ######################################
            var z = 1;


            var classe_telComercial = '.m_telcomercial';


            var idDiv_telComercial = "#M_telComercial_pf";


            if (document.querySelectorAll(classe_telComercial).length >= 1) {

                z = document.querySelectorAll(classe_telComercial).length + 1;

                var nome = 'modal_telcomercial' + z;

                console.log("id da teste modal: " + nome);


                $(idDiv_telComercial).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telComercial + "' value='" + data.telcomercial + "' >");

            } else {

                var nome = 'modal_telcomercial' + z;


                $(idDiv_telComercial).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_telComercial + "' value='" + data.telcomercial + "' >");
            }

            //##################################################################################

        }

    });


    return false;

});


$(document).on('click', '#insertModal', function () {


    let rua = $('#rua_modal').val();

    let cep = $('#cep_modal').val();

    let numero = $('#numero_modal').val();

    let complemento = $('#complemento_modal').val();

    let bairro = $('#bairro_modal').val();

    let cidade = $('#cidade_modal').val();

    let estado = $('#estado_modal').val();


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_endereco_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'rua=' + rua + '&cep=' + cep + '&numero=' + numero + '&complemento=' + complemento + '&bairro=' + bairro + '&cidade=' + cidade + '&estado=' + estado,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func
            swal("Endereço cadastrado com sucesso!", "Continue cadastrando ou clique em Fechar", "success");


            $("#cep_modal").val("");
            $("#rua_modal").val("");
            $("#numero_modal").val("");
            $("#complemento_modal").val("");
            $("#bairro_modal").val("");
            $("#cidade_modal").val("");
            $("#estado_modal").val("");


            // console.log("cep"+ data.cep);
            // console.log("rua :"+data.rua);


            //################################# RUA ####################################################
            var x = 1;


            var classe_endereco = '.m_endereco' + pessoa;


            var idDiv_endereco = "#M_endereco";


            if (responsavel == "resp") {
                idDiv_endereco = "#M_endereco_resp";
            }


            if (document.querySelectorAll(classe_endereco).length >= 1) {

                x = document.querySelectorAll(classe_endereco).length + 1;

                var nome = 'modal_endereco' + x;

                console.log("id da teste modal: " + nome);


                $(idDiv_endereco).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_endereco + "' value='" + data.rua + "'' >");

            } else {

                var nome = 'modal_endereco' + x;


                $(idDiv_endereco).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_endereco + "' value='" + data.rua + "'' >");
            }


            //################################# CEP ################################################        


            var j = 1;


            var classe_cep = '.m_cep' + pessoa;


            var idDiv_cep = "#M_cep";


            if (responsavel == "resp") {
                idDiv_cep = "#M_cep_resp";
            }


            if (document.querySelectorAll(classe_cep).length >= 1) {

                j = document.querySelectorAll(classe_cep).length + 1;

                var nome = 'modal_cep' + j;


                $(idDiv_cep).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cep + "' value='" + data.cep + "'' >");

            } else {

                var nome = 'modal_cep' + j;


                $(idDiv_cep).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cep + "' value='" + data.cep + "'' >");
            }


            //################################# NUMERO ################################################

            var k = 1;


            var classe_numero = '.m_numero' + pessoa;


            var idDiv_numero = "#M_numero";


            if (responsavel == "resp") {
                idDiv_numero = "#M_numero_resp";
            }


            if (document.querySelectorAll(classe_numero).length >= 1) {

                k = document.querySelectorAll(classe_numero).length + 1;

                var nome = 'modal_numero' + k;


                $(idDiv_numero).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_numero + "' value='" + data.numero + "'' >");

            } else {

                var nome = 'modal_numero' + k;

                $(idDiv_numero).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_numero + "' value='" + data.numero + "'' >");
            }


            //################################# COMPLEMENTO ######################################            


            var m = 1;


            var classe_complemento = '.m_complemento' + pessoa;


            var idDiv_complemento = "#M_complemento";


            if (responsavel == "resp") {
                idDiv_complemento = "#M_complemento_resp";
            }


            if (document.querySelectorAll(classe_complemento).length >= 1) {

                m = document.querySelectorAll(classe_complemento).length + 1;

                var nome = 'modal_complemento' + m;


                $(idDiv_complemento).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_complemento + "' value='" + data.complemento + "'' >");

            } else {

                var nome = 'modal_complemento' + m;

                $(idDiv_complemento).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_complemento + "'  value='" + data.complemento + "'' >");
            }

            //######################################## BAIRRO ######################################            


            var n = 1;


            var classe_bairro = '.m_bairro' + pessoa;


            var idDiv_bairro = "#M_bairro";


            if (responsavel == "resp") {
                idDiv_bairro = "#M_bairro_resp";
            }


            if (document.querySelectorAll(classe_bairro).length >= 1) {

                n = document.querySelectorAll(classe_bairro).length + 1;

                var nome = 'modal_bairro' + n;


                $(idDiv_bairro).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_bairro + "' value='" + data.bairro + "'' >");

            } else {

                var nome = 'modal_bairro' + n;

                $(idDiv_bairro).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_bairro + "' value='" + data.bairro + "'' >");
            }


            //######################################## CIDADE ######################################            

            var p = 1;


            var classe_cidade = '.m_cidade' + pessoa;


            var idDiv_cidade = "#M_cidade";


            if (responsavel == "resp") {
                idDiv_cidade = "#M_cidade_resp";
            }


            if (document.querySelectorAll(classe_cidade).length >= 1) {

                p = document.querySelectorAll(classe_cidade).length + 1;

                var nome = 'modal_cidade' + p;


                $(idDiv_cidade).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cidade + "' value='" + data.cidade + "'' >");

            } else {

                var nome = 'modal_cidade' + p;

                $(idDiv_cidade).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cidade + "' value='" + data.cidade + "'' >");
            }


            //######################### ESTADO ######################################            

            var q = 1;


            var classe_estado = '.m_estado' + pessoa;


            var idDiv_estado = "#M_estado";


            if (responsavel == "resp") {
                idDiv_estado = "#M_estado_resp";
            }


            if (document.querySelectorAll(classe_estado).length >= 1) {

                q = document.querySelectorAll(classe_estado).length + 1;

                var nome = 'modal_estado' + q;


                $(idDiv_estado).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_estado + "' value='" + data.estado + "'' >");

            } else {

                var nome = 'modal_estado' + q;

                $(idDiv_estado).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_estado + "' value='" + data.estado + "'' >");
            }

        }

    });
    return false;

});


$(document).on('click', '#insertModal_pf', function () {


    let rua = $('#rua_modal_pf').val();

    let cep = $('#cep_modal_pf').val();

    let numero = $('#numero_modal_pf').val();

    let complemento = $('#complemento_modal_pf').val();

    let bairro = $('#bairro_modal_pf').val();

    let cidade = $('#cidade_modal_pf').val();

    let estado = $('#estado_modal_pf').val();


    /* Configura a requisição AJAX */
    $.ajax({

        url: 'recebe_endereco_modal.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'rua=' + rua + '&cep=' + cep + '&numero=' + numero + '&complemento=' + complemento + '&bairro=' + bairro + '&cidade=' + cidade + '&estado=' + estado,
        /* dado que será enviado via POST */

        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) { //   recebe todo o objeto do json, encapsula com nome do parametro da func
            swal("Endereço cadastrado com sucesso!", "Continue cadastrando ou clique em Fechar", "success");


            $("#cep_modal_pf").val("");
            $("#rua_modal_pf").val("");
            $("#numero_modal_pf").val("");
            $("#complemento_modal_pf").val("");
            $("#bairro_modal_pf").val("");
            $("#cidade_modal_pf").val("");
            $("#estado_modal_pf").val("");


            // console.log("cep"+ data.cep);
            // console.log("rua :"+data.rua);


            //################################# RUA ####################################################
            var x = 1;


            var classe_endereco = '.m_endereco';


            var idDiv_endereco = "#M_endereco_pf";


            if (document.querySelectorAll(classe_endereco).length >= 1) {

                x = document.querySelectorAll(classe_endereco).length + 1;

                var nome = 'modal_endereco' + x;

                console.log("id da teste modal: " + nome);


                $(idDiv_endereco).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_endereco + "' value='" + data.rua + "'' >");

            } else {

                var nome = 'modal_endereco' + x;


                $(idDiv_endereco).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_endereco + "' value='" + data.rua + "'' >");
            }


            //################################# CEP ################################################        


            var j = 1;


            var classe_cep = '.m_cep';


            var idDiv_cep = "#M_cep_pf";


            if (document.querySelectorAll(classe_cep).length >= 1) {

                j = document.querySelectorAll(classe_cep).length + 1;

                var nome = 'modal_cep' + j;


                $(idDiv_cep).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cep + "' value='" + data.cep + "'' >");

            } else {

                var nome = 'modal_cep' + j;


                $(idDiv_cep).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cep + "' value='" + data.cep + "'' >");
            }


            //################################# NUMERO ################################################

            var k = 1;


            var classe_numero = '.m_numero';


            var idDiv_numero = "#M_numero_pf";


            if (document.querySelectorAll(classe_numero).length >= 1) {

                k = document.querySelectorAll(classe_numero).length + 1;

                var nome = 'modal_numero' + k;


                $(idDiv_numero).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_numero + "' value='" + data.numero + "'' >");

            } else {

                var nome = 'modal_numero' + k;

                $(idDiv_numero).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_numero + "' value='" + data.numero + "'' >");
            }


            //################################# COMPLEMENTO ######################################            


            var m = 1;


            var classe_complemento = '.m_complemento';


            var idDiv_complemento = "#M_complemento_pf";


            if (document.querySelectorAll(classe_complemento).length >= 1) {

                m = document.querySelectorAll(classe_complemento).length + 1;

                var nome = 'modal_complemento' + m;


                $(idDiv_complemento).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_complemento + "' value='" + data.complemento + "'' >");

            } else {

                var nome = 'modal_complemento' + m;

                $(idDiv_complemento).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_complemento + "'  value='" + data.complemento + "'' >");
            }

            //######################################## BAIRRO ######################################            


            var n = 1;


            var classe_bairro = '.m_bairro';


            var idDiv_bairro = "#M_bairro_pf";


            if (document.querySelectorAll(classe_bairro).length >= 1) {

                n = document.querySelectorAll(classe_bairro).length + 1;

                var nome = 'modal_bairro' + n;


                $(idDiv_bairro).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_bairro + "' value='" + data.bairro + "'' >");

            } else {

                var nome = 'modal_bairro' + n;

                $(idDiv_bairro).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_bairro + "' value='" + data.bairro + "'' >");
            }


            //######################################## CIDADE ######################################            

            var p = 1;


            var classe_cidade = '.m_cidade';


            var idDiv_cidade = "#M_cidade_pf";


            if (document.querySelectorAll(classe_cidade).length >= 1) {

                p = document.querySelectorAll(classe_cidade).length + 1;

                var nome = 'modal_cidade' + p;


                $(idDiv_cidade).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cidade + "' value='" + data.cidade + "'' >");

            } else {

                var nome = 'modal_cidade' + p;

                $(idDiv_cidade).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_cidade + "' value='" + data.cidade + "'' >");
            }


            //######################### ESTADO ######################################            

            var q = 1;


            var classe_estado = '.m_estado';


            var idDiv_estado = "#M_estado_pf";


            if (document.querySelectorAll(classe_estado).length >= 1) {

                q = document.querySelectorAll(classe_estado).length + 1;

                var nome = 'modal_estado' + q;


                $(idDiv_estado).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_estado + "' value='" + data.estado + "'' >");

            } else {

                var nome = 'modal_estado' + q;

                $(idDiv_estado).append("<input type='hidden' id='" + nome + "' name='" + nome + "' class='" + classe_estado + "' value='" + data.estado + "'' >");
            }

        }

    });
    return false;

});


// ########################### CONSULTA CEP API CORREIOS #################################3

/* Executa a requisição quando o campo CEP perder o foco */
$(document).on('blur', '#cep_modal', function () {
    /* Configura a requisição AJAX */

    $.ajax({
        url: 'consultar_cep.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'cep=' + $('#cep_modal').val(),
        /* dado que será enviado via POST */
        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) {
            $('#rua_modal').val(data.rua);
            $('#bairro_modal').val(data.bairro);
            $('#cidade_modal').val(data.cidade);
            $('#estado_modal').val(data.estado);

        }
    });
    return false;
})


$(document).on('blur', '#cep_modal_pf', function () {
    /* Configura a requisição AJAX */

    $.ajax({
        url: 'consultar_cep.php',
        /* URL que será chamada */
        type: 'POST',
        /* Tipo da requisição */
        data: 'cep=' + $('#cep_modal_pf').val(),
        /* dado que será enviado via POST */
        dataType: 'json',
        /* Tipo de transmissão */
        success: function (data) {
            $('#rua_modal_pf').val(data.rua);
            $('#bairro_modal_pf').val(data.bairro);
            $('#cidade_modal_pf').val(data.cidade);
            $('#estado_modal_pf').val(data.estado);

        }
    });
    return false;
})


// ########################### CONSULTA CEP API CORREIOS #################################3

/* Executa a requisição quando o campo CEP perder o foco */
$(document).on('blur', '#cep_modal', function () {
        /* Configura a requisição AJAX */

        $.ajax({
            url: 'consultar_cep.php',
            /* URL que será chamada */
            type: 'POST',
            /* Tipo da requisição */
            data: 'cep=' + $('#cep_modal').val(),
            /* dado que será enviado via POST */
            dataType: 'json',
            /* Tipo de transmissão */
            success: function (data) {
                $('#rua_modal').val(data.rua);
                $('#bairro_modal').val(data.bairro);
                $('#cidade_modal').val(data.cidade);
                $('#estado_modal').val(data.estado);

            }
        });
        return false;
})



$(document).ready(function () {
    /* Executa a requisição quando o campo CEP perder o foco */
    $('#masked-input-cpf-responsavel').blur(function () {
        /* Configura a requisição AJAX */
        $.ajax({
            url: 'consultar_cpf.php',
            /* URL que será chamada */
            type: 'POST',
            /* Tipo da requisição */
            data: 'cpf=' + $('#masked-input-cpf-responsavel').val(),
            /* dado que será enviado via POST */
            dataType: 'json',
            /* Tipo de transmissão */
            success: function (data) {
                if (data.sucesso == 1) {

                    alert('Cliente já cadastrado. Grupo: ' + data.categoria_cliente);

                    $('#masked-input-cpf-responsavel').val('');

                }
            }
        });
        return false;
    })
});



$(document).ready(function () {
    /* Executa a requisição quando o campo CEP perder o foco */
    $('#masked-input-cpf').blur(function () {
        /* Configura a requisição AJAX */
        $.ajax({
            url: 'consultar_cpf.php',
            /* URL que será chamada */
            type: 'POST',
            /* Tipo da requisição */
            data: 'cpf=' + $('#masked-input-cpf').val(),
            /* dado que será enviado via POST */
            dataType: 'json',
            /* Tipo de transmissão */
            success: function (data) {
                if (data.sucesso == 1) {

                    alert('Cliente já cadastrado. Grupo: ' + data.categoria_cliente);

                    $('#masked-input-cpf').val('');

                }
            }
        });
        return false;
    })
});


$(document).ready(function () {
    /* Executa a requisição quando o campo CEP perder o foco */
    $('#masked-input-cnpj').blur(function () {
        /* Configura a requisição AJAX */
        $.ajax({
            url: 'consultar_cpf.php',
            /* URL que será chamada */
            type: 'POST',
            /* Tipo da requisição */
            data: 'cpf=' + $('#masked-input-cnpj').val(),
            /* dado que será enviado via POST */
            dataType: 'json',
            /* Tipo de transmissão */
            success: function (data) {
                if (data.sucesso == 1) {

                    alert('Cliente já cadastrado.');

                    $('#masked-input-cnpj').val('');

                }
            }
        });
        return false;
    })
});